package com.zcloud.mapper.datasource.majordangersource;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;

import java.util.List;

/**
 * 说明：重大危险源应急处置
 * 作者：luoxiaobao
 * 时间：2022-05-04
 * 官网：www.zcloudchina.com
 */
public interface MajordangersourceDisposalMapper{

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	void save(PageData pd);

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	void delete(PageData pd);

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	void edit(PageData pd);

	/**列表
	 * @param page
	 * @throws Exception
	 */
	List<PageData> datalistPage(Page page);

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> listAll(PageData pd);

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	PageData findById(PageData pd);

	/**批量删除
	 * @param pd
	 * @throws Exception
	 */
	void deleteAll(PageData pd);

	/**列表(根据所选ID获取数据)
	 * @param pd
	 * @throws Exception
	 */
	List<PageData> findByIds(PageData pd);

	/**
	 * 报警升级
	 * @param pd
	 */
    void upLevel(PageData pd);

	/**
	 * 根据重大危险源分组统计报警处置情况
	 * @param pd
	 * @return
	 */
    List<PageData> statisticsGroupMajordangersource(PageData pd);

	/**
	 * 重大危险源处置统计数据（报警数【COUNTALARM】，已处置【COUNTDISPOSED】，处置中【COUNTDISPOSAL】）
	 * @param pd
	 * @return
	 */
    PageData statisticsDisposal(PageData pd);

	/**
	 * 根据处置状态按日期分组统计处置数据
	 * @param pd
	 * @return
	 */
	List<PageData> statisticsGroupDateByState(PageData pd);
}

